nn.pp.rccore

## Class AssociatedRCCore

- java.lang.Object
- - nn.pp.rccore.AssociatedRCCore

-     public class AssociatedRCCore
      extends java.lang.Object

  Describes the association of an RCCore object, i.e. how a RCCore object is embedded into a list of RCCore objects

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssociatedRCCore(Association association, RCCore rcCore)` Create an RcCore association object
    `AssociatedRCCore(int monitorIndex, int monitorPositionX, int monitorPositionY, RCCore rcCore)` Create an RcCore association object
    `AssociatedRCCore(RCCore rcCore)` Create an RcCore association object with default association values

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Association` | `getAssociation()` Get the association (position) of the RcCore object
    `RCCore` | `getRcCore()` Get the RcCore object describes by the association object

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssociatedRCCore

          public AssociatedRCCore(int monitorIndex,
                                  int monitorPositionX,
                                  int monitorPositionY,
                                  RCCore rcCore)

      Create an RcCore association object
      Parameters:
        `monitorIndex` - The monitor index
        `monitorPositionX` - The monitor X position
        `monitorPositionY` - The monitor Y position
        `rcCore` - The RCCore object

    - #### AssociatedRCCore

          public AssociatedRCCore(Association association,
                                  RCCore rcCore)

      Create an RcCore association object
      Parameters:
        `association` - The association
        `rcCore` - The RCCore object

    - #### AssociatedRCCore

          public AssociatedRCCore(RCCore rcCore)

      Create an RcCore association object with default association values
      Parameters:
        `rcCore` - The RCCore object

  - ### Method Detail

    - #### getAssociation

          public Association getAssociation()

      Get the association (position) of the RcCore object
      Returns:
        The association (position) of the RcCore object

    - #### getRcCore

          public RCCore getRcCore()

      Get the RcCore object describes by the association object
      Returns:
        The RcCore object describes by the association object

Copyright © 2025 Raritan Inc. All Rights Reserved.